﻿using Portfolio.Domain.Features.Pokemon;
using Portfolio.Domain.Features.Pokemon_Natures;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Portfolio.Application.Services.PokemonNatureService
{
    public class PokemonNatureService : IPokemonNatureService
    {
        private readonly IPokemonNatureRepository _pokemonNatureRepository;

        public PokemonNatureService(IPokemonNatureRepository pokemonNatureRepository)
        {
            _pokemonNatureRepository = pokemonNatureRepository;
        }

        public async Task<List<PokemonNature>> GetAllPokemonNaturesAsync()
        {
            return await _pokemonNatureRepository.GetAllPokemonNaturesAsync();
        }
    }
}
